<?php
//-----------------------------------------------------------------------//
// 文字列リテラル
//-----------------------------------------------------------------------//
define('VAL_STR_USER_NAME', '登录ID');
define('VAL_STR_PASSWORD', '密码');
define('VAL_STR_PASSCODE', '密码');
define('VAL_STR_CONFIRM_PASSCODE', '确认密码');
define('VAL_STR_EXPIRATION_DATE', '截止日期');
define('VAL_STR_DEPOSIT_METHOD', '转入类型');
define('VAL_STR_JA', 'ja');
define('VAL_STR_UPLOAD_FILE', '上传文件');
define('VAL_STR_USER_ACCOUNT', '账户号码');
define('VAL_STR_USER_ACCOUNT_NAME', '账户名称');
define('VAL_STR_AMOUNT', '金额');
define('VAL_STR_ACCOUNT_NAME', '账户名称');
define('VAL_STR_RECEIPT_COUNTRY', '收款方国家');
define('VAL_STR_RECEIPT_ADDRESS', '收款方地址');
define('VAL_STR_RECEIPT_ADDRESS_1', '收款方地址');
define('VAL_STR_RECEIPT_MESSAGE', '收款方备注');
define('VAL_STR_RECEIPT_BANK_NAME', '收款行');
define('VAL_STR_RECEIPT_BRANCH_NAME', '收款行支行');
define('VAL_STR_RECEIPT_BRANCH_CODE', '收款行支行代码');
define('VAL_STR_RECEIPT_BANK_SWIFT_CODE', '收款行SWIFT');
define('VAL_STR_RECEIPT_BANK_CODE', 'Bank Code');
define('VAL_STR_RECEIPT_BANK_COUNTRY', '收款行所在国');
define('VAL_STR_RECEIPT_BANK_ADDRESS', '收款行地址');
define('VAL_STR_RECEIPT_BANK_ADDRESS_1', '收款行地址');
define('VAL_STR_RECEIPT_BANK_ACCOUNT_NUMBER', '收款账号');
define('VAL_STR_RECEIPT_BANK_ACCOUNT_NAME', '收款方姓名');
define('VAL_STR_INTERMEDIARY_BANK_NAME', '中转行');
define('VAL_STR_INTERMEDIARY_BANK_SWIFT_CODE', '中转行SWIFT');
define('VAL_STR_INTERMEDIARY_BANK_COUNTRY', '中转行所在国');
define('VAL_STR_INTERMEDIARY_BANK_ADDRESS_1', '中转行地址');
define('VAL_STR_INTERMEDIARY_BANK_MESSAGE', '中转行备注');
define('VAL_STR_PATTERN_NAME', '模式');
define('VAL_STR_MONTHLY_PERSON_FIX_VALUE', '月维护费（个人）（定额）');
define('VAL_STR_MONTHLY_PERSON_PERCENT_VALUE', '月维护费（个人）（百分比）');
define('VAL_STR_MONTHLY_PERSON_PERCENT_MAX', '月维护费（个人）（最高金额）');
define('VAL_STR_MONTHLY_CORP_FIX_VALUE', '月维护费（企业）（定额）');
define('VAL_STR_MONTHLY_CORP_PERCENT_VALUE', '月维护费（企业）（百分比）');
define('VAL_STR_MONTHLY_CORP_PERCENT_MAX', '月维护费（企业）（最高金额）');
define('VAL_STR_DEPOSIT_PERSON_FIX_VALUE', '转入（个人）（定额）');
define('VAL_STR_DEPOSIT_PERSON_PERCENT_VALUE', '转入（个人）（百分比）');
define('VAL_STR_DEPOSIT_PERSON_PERCENT_MAX', '转入（个人）（最高金额）');
define('VAL_STR_DEPOSIT_CORP_FIX_VALUE', '转入（企业）（定额）');
define('VAL_STR_DEPOSIT_CORP_PERCENT_VALUE', '转入（企业）（百分比）');
define('VAL_STR_DEPOSIT_CORP_PERCENT_MAX', '转入（企业）（最高金额）');
define('VAL_STR_WITHDRAW_SUCCESS_PERSON_FIX_VALUE', '转出（成功时）（个人）（定额）');
define('VAL_STR_WITHDRAW_SUCCESS_PERSON_PERCENT_VALUE', '转出（成功时）（个人）（百分比）');
define('VAL_STR_WITHDRAW_SUCCESS_PERSON_PERCENT_MAX', '转出（成功时）（个人）（最高金额）');
define('VAL_STR_WITHDRAW_SUCCESS_CORP_FIX_VALUE', '转出（成功时）（企业）（定额）');
define('VAL_STR_WITHDRAW_SUCCESS_CORP_PERCENT_VALUE', '转出（成功时）（企业）（百分比）');
define('VAL_STR_WITHDRAW_SUCCESS_CORP_PERCENT_MAX', '转出（成功时）（企业）（最高金额）');
define('VAL_STR_WITHDRAW_REFUND_PERSON_FIX_VALUE', '转出（失败时）（个人）（定额）');
define('VAL_STR_WITHDRAW_REFUND_PERSON_PERCENT_VALUE', '转出（失败时）（个人）（百分比）');
define('VAL_STR_WITHDRAW_REFUND_PERSON_PERCENT_MAX', '转出（失败时）（个人）（最高金额）');
define('VAL_STR_WITHDRAW_REFUND_CORP_FIX_VALUE', '转出（失败时）（企业）（定额）');
define('VAL_STR_WITHDRAW_REFUND_CORP_PERCENT_VALUE', '转出（失败时）（企业）（百分比）');
define('VAL_STR_WITHDRAW_REFUND_CORP_PERCENT_MAX', '转出（失败时）（企业）（最高金额）');
define('VAL_STR_TRANSFER_C_TO_B_FIX_VALUE', '同行转账（个人→企业）（定额）');
define('VAL_STR_TRANSFER_C_TO_B_PERCENT_VALUE', '同行转账（个人→企业）（百分比）');
define('VAL_STR_C_TO_BSFER_C_TO_B_PERCENT_MAX', '同行转账（个人→企业）（最高金额）');
define('VAL_STR_TRANSFER_C_TO_C_FIX_VALUE', '同行转账（个人→个人）（定额）');
define('VAL_STR_TRANSFER_C_TO_C_PERCENT_VALUE', '同行转账（个人→个人）（百分比）');
define('VAL_STR_TRANSFER_C_TO_C_PERCENT_MAX', '同行转账（个人→个人）（最高金额）');
define('VAL_STR_TRANSFER_B_TO_C_FIX_VALUE', '同行转账（企业→个人）（定额）');
define('VAL_STR_TRANSFER_B_TO_C_PERCENT_VALUE', '同行转账（企业→个人）（百分比）');
define('VAL_STR_TRANSFER_B_TO_C_PERCENT_MAX', '同行转账（企业→个人）（最高金额）');
define('VAL_STR_TRANSFER_B_TO_B_FIX_VALUE', '同行转账（企业→企业）（定额）');
define('VAL_STR_TRANSFER_B_TO_B_PERCENT_VALUE', '同行转账（企业→企业）（百分比）');
define('VAL_STR_TRANSFER_B_TO_B_PERCENT_MAX', '同行转账（企业→企业）（最高金额）');
define('VAL_STR_DOMANT_PERSON_FIX_VALUE', '关闭（个人）（定额）');
define('VAL_STR_DOMANT_PERSON_PERCENT_VALUE', '关闭（个人）（百分比）');
define('VAL_STR_DOMANT_PERSON_PERCENT_MAX', '关闭（个人）（最高金额）');
define('VAL_STR_DOMANT_CORP_FIX_VALUE', '关闭（企业）（定额）');
define('VAL_STR_DOMANT_CORP_PERCENT_VALUE', '关闭（企业）（百分比）');
define('VAL_STR_DOMANT_CORP_PERCENT_MAX', '关闭（企业）（最高金额）');
define('VAL_STR_DELETE_PERSON_FIX_VALUE', '注销（个人）（定额）');
define('VAL_STR_DELETE_PERSON_PERCENT_VALUE', '注销（个人）（百分比）');
define('VAL_STR_DELETE_PERSON_PERCENT_MAX', '注销（个人）（最高金额）');
define('VAL_STR_DELETE_CORP_FIX_VALUE', '注销（企业）（定额）');
define('VAL_STR_DELETE_CORP_PERCENT_VALUE', '注销（企业）（百分比）');
define('VAL_STR_DELETE_CORP_PERCENT_MAX', '注销（企业）（最高金额）');
define('VAL_STR_TARGET_ALL', '全部适用');
define('VAL_STR_STATUS_PROC', '处理中');
define('VAL_STR_STATUS_COMP', '处理完毕');
define('VAL_STR_STATUS_REFUND', '拒绝');
define('VAL_STR_LAST_NAME', '姓');
define('VAL_STR_FIRST_NAME', '名');
define('VAL_STR_CEO_LAST_NAME', '法人代表姓名（姓）');
define('VAL_STR_CEO_FIRST_NAME', '法人代表姓名（名）');
define('VAL_STR_STATE', '州/省');
define('VAL_STR_CITY', '市/县');
define('VAL_STR_PROVINCE', '省');
define('VAL_STR_ADDRESS', '地址');
define('VAL_STR_ZIP_CODE', '邮编');
define('VAL_STR_TEL', '联系电话');
define('VAL_STR_EMAIL', '新邮箱地址');
define('VAL_STR_EMAIL_RE_ENTER', '再次输入邮箱地址');
define('VAL_STR_BIRTH', '出生日期');
define('VAL_STR_TRANSFER_TO_ACCOUNT', '汇款方');
define('VAL_STR_TRANSFER_FROM_ACCOUNT', '收款方');
define('VAL_STR_MESSAGE', '备注');
define('VAL_STR_DEBIT_ACCOUNT', '付款账户');
define('VAL_STR_CURRENT_PASSWORD', '当前密码');
define('VAL_STR_NEW_PASSWORD', '新密码');
define('VAL_STR_NEW_PASSWORD_RE_ENTER', '再次输入新密码');
define('VAL_STR_DATA', '数据');
define('VAL_LOGIN_UNLOCK', '已解除');
define('VAL_LOGIN_LOCK', '冻结中');
define('VAL_STR_CORP_NAME', '法人名');
define('VAL_STR_CORP_COUNTRY', '法人所在国');
define('VAL_STR_CEO_NAME', '法人代表姓名');
define('VAL_STR_SITE_NAME', '网站・服务平台');
define('VAL_STR_TARGET_COUNTRY', '主要客户群所在国');
define('VAL_STR_URL', 'URL');
define('VAL_STR_SITE_URL', '网站URL');
define('VAL_STR_MANAGER_NAME', '负责人姓名');
define('VAL_STR_MANAGER_EMAIL', '负责人邮箱');
define('VAL_STR_MANAGER_TEL', '负责人联系电话');
define('VAL_STR_NAME_CORP', '公司名称');
define('VAL_STR_RESPONSIBLE_PARTY_NAME', '联系人姓名');
define('VAL_STR_TITLE', '标题');
define('VAL_STR_BODY', '内容');
define('VAL_STR_STATUS', '状态');
define('VAL_STR_CONFIG_CODE', '确认码');
define('VAL_STR_INPUT_DATA', '输入信息');
define('VAL_STR_INQUIRY', '在线提问');
define('VAL_STR_ACCOUNT_TYPE', '账户类型');
define('VAL_STR_COUNTRY', '国家');
define('VAL_STR_CARD_HOLDER_ID', '持卡人ID');
define('VAL_STR_CARD_DIGIT', '末4位');
define('VAL_STR_CURRENCY', '币种');
define('VAL_STR_SIGNATURE', '签名');
define('VAL_STR_P_NUM', '项目代码');
define('VAL_STR_ORDER_NUMBER', '银行流水单号');
define('VAL_STR_NOTE', '备注');
define('VAL_STR_WITHDARAW', '转出');
define('VAL_STR_DEPOSIT', '转入');
define('VAL_STR_FEE', '手续费');
define('VAL_STR_CARD_DEPOSIT', '卡充值');
define('VAL_STR_EXCHANGE', '货币兑换');
define('VAL_STR_TRANSFER', '同行转账');
define('VAL_STR_REQUEST', '请款');
define('VAL_STR_PERSONAL', '个人');
define('VAL_STR_CORPORATE', '企业');
define('VAL_STR_INVALID', '无效');
define('VAL_STR_TEMPORARY_REGIST', '临时登录');
define('VAL_STR_NORMAL', '普通');
define('VAL_STR_UNLIMITED', '高级');
define('VAL_STR_PAUSE', '暂停');
define('VAL_STR_CLOSE', '关闭');
define('VAL_STR_UNAUTHENTICATED', '未认证');
define('VAL_STR_AUTHENTICATED', '已认证');
define('VAL_STR_DENIAL', '未通过');
define('VAL_STR_PROCESSING', '1次审查');
define('VAL_STR_LACK_OF_DOCUMENTS', '最终审查');
define('VAL_STR_IDENTITY', '身份证明文件');
define('VAL_STR_ADDRESS_VERIFICATION', '住址证明文件');
define('VAL_STR_CORPORATE_REGISTRY', '法人营业执照');
define('VAL_STR_CORPORATE_ARTICLES', '组织机构代码证');
define('VAL_STR_SURVIVING_PROOF', '税务登记证');
define('VAL_STR_SHAREHOLDERS', '股东名册');
define('VAL_STR_OTHER_ADD', '其他文件');
define('VAL_STR_APPLY', '申请中');
define('VAL_STR_REMITTANCE_ACCEPTED', '已接受');
define('VAL_STR_REMITTANCE_ALREADY', '已完成');
define('VAL_STR_DEFICIENCIES_CHECKING', '信息确认中');
define('VAL_STR_REFUND', '退款');
define('VAL_STR_CANCELLATION', '撤销');
define('VAL_STR_CANCEL', '取消');
define('VAL_STR_REQUESTER', '请款人');
define('VAL_STR_PAYER', '支付方');
define('VAL_STR_APPLIES_BOTH', '双方适用');
define('VAL_STR_APPLY_TO_LEFT', '左侧适用');
define('VAL_STR_APPLY_TO_RIGHT', '右侧使用');
define('VAL_STR_NORMAL_WITHDRAW', '普通转出');
define('VAL_STR_OTHER', '其他');
define('VAL_STR_DATETIME', '时间');
define('VAL_STR_REQUEST_DESTINATION', '被请款人');
define('VAL_STR_APPLY_AMOUNT', '请款金额');
define('VAL_STR_STATE_COMMON', '状态');
define('VAL_STR_DETAIL', '详情');
define('VAL_STR_REMOVE', '删除');
define('VAL_STR_WITHDRAWAL_CLIENT', '请款人');
define('VAL_STR_HIDDEN', '隐藏');
define('VAL_STR_DOWNLOAD', '下载');
define('VAL_STR_MAILADDRESS_RE_ENTER', '再次输入邮箱地址');
define('VAL_STR_FULL_NAME', '姓名');
define('VAL_STR_LOCAL_NAME', '姓名');
define('VAL_STR_MANDATORY', '必填项');
define('VAL_STR_COPR_NAME', '公司名');
define('VAL_STR_SUCCESS', '成功');
define('VAL_STR_FAIL', '失败');
define('VAL_STR_FAIL_SETTLEMENT_FEE', '交易失败手续费');
define('VAL_STR_WITHDRAW_FEE', 'ATM提现手续费');
define('VAL_STR_MONTHLY_FEE', '月维护费');
define('VAL_STR_DOMANT_FEE', '休眠账户维护费');
define('VAL_STR_SUCCESS_SETTLEMENT_FEE', '交易成功手续费');
define('VAL_STR_CHARGE_CARD', '卡充值');
define('VAL_STR_USE_CARD', '刷卡');
define('VAL_STR_CARD', '卡');
define('VAL_STR_WITHDRAW_ATM', 'ATM提现');
define('VAL_STR_ADJUSTMENT', '汇率调整');
define('VAL_STR_DEBIT_CURRENCY', '转出账户');
define('VAL_STR_INTERMEDIARY_BANK_USED', '是否使用中转行');
define('VAL_STR_INTERMEDIARY_BANK_NOT_USED', '不使用中转行');
define('VAL_STR_SIPPING_REGISTRY_ADDRESS', '注册地址');
define('VAL_STR_SIPPING_ANOTHER_ADDRESS', '其他收件地址');
define('VAL_STR_NOT_PROGRESS', '未申请');
define('VAL_STR_PROGRESSING', '申请中');
define('VAL_STR_PROGRESS_NOT_VERI', '请上传更新后的KYC文件。');
define('VAL_STR_PROGRESS', '审查中');
define('VAL_STR_CARD_LIMIT_SMALL', '累计上限USD1,000');
define('VAL_STR_CARD_LIMIT_MIDDLE', '上限US$10,000');
define('VAL_STR_PROGRESS_SUCCESS_SMALL', VAL_STR_CARD_LIMIT_SMALL);
define('VAL_STR_PROGRESS_SUCCESS_MIDDLE', VAL_STR_CARD_LIMIT_MIDDLE);
define('VAL_STR_CARD_LIMIT_WORD', '该功能将在您的KYC资料通过审核后开放。');
define('VAL_STR_CARD_POSSIBLE_RECHARGE', '可充值');
define('VAL_STR_CARD_NUMBER', '卡号');
define('VAL_STR_UNIT_MAI', 'pc');
define('VAL_STR_DEPOSIT_BANK', '银行转账');
define('VAL_STR_DEPOSIT_VISA', 'VISA');
define('VAL_STR_DEPOSIT_MASTERCARD', 'MASTERCARD');
define('VAL_STR_DEPOSIT_INSTANTBANKTRANSFER', '即时银行转账');
define('VAL_DEPOSIT_AMOUNT', '充值金额');
define('VAL_GPS_DEPOSIT_INVOICE_NAME_VISA', 'GPAYSAFERESELLER');
define('VAL_GPS_DEPOSIT_INVOICE_NAME_MASTER', 'PAYBYGIFTCARD');
define('VAL_GPS_DEPOSIT_INVOICE_NAME_BANK', 'GlobalCollect');
define('VAL_STR_CUSTOMER', '客户');
define('VAL_WITHDRAW_SUCCESS_RETURN', 'once return success:');
define('VAL_WITHDRAW_FAILED_RETURN', 'once return failed:');
define('VAL_STR_TOKEN', '令牌');

//deposit list
define('VAL_STR_VOUCHER_NAME','Visa via Voucher');
define('VAL_STR_VOUCHER_LOGO','img'.DIRECTORY_SEPARATOR.'visa.png');
define('VAL_STR_VOUCHER_FEE','5.5');
define('VAL_STR_VOUCHER_METHOD','CARDVOUCHER');
define('VAL_STR_CUP_NAME','中国银联');
define('VAL_STR_CUP_LOGO','img'.DIRECTORY_SEPARATOR.'CUP_2.png');
define('VAL_STR_CUP_FEE',CUP_FEE);
define('VAL_STR_CUP_TRANSACTIONFEE',CUP_SYMBOL.' '.CUP_TRANSACTION_FEE);
define('VAL_STR_CUP_METHOD',TYPE_CUP);
define('VAL_STR_VSMS_NAME','Mastercard充值');
define('VAL_STR_VSMS_LOGO','img'.DIRECTORY_SEPARATOR.'Mastercard.png');
define('VAL_STR_VSMS_FEE','6');
define('VAL_STR_VSMS_TRANSACTIONFEE','手续费');
define('VAL_STR_VSMS_METHOD','CARDPAY');
define('VAL_STR_IBT_NAME','国际银行转账');
define('VAL_STR_IBT_LOGO','img'.DIRECTORY_SEPARATOR.'int_bank.png');
define('VAL_STR_IBT_METHOD','IBT');
define('VAL_STR_JRF_NAME','Japan Remit Finance');
define('VAL_STR_JRF_LOGO','img'.DIRECTORY_SEPARATOR.'jrf.png');
define('VAL_STR_JRF_METHOD','JRF');
define('VAL_STR_FLAT3_NAME','Purchase a Voucher');
define('VAL_STR_FLAT3_LOGO','img/Voucher.png');
define('VAL_STR_FLAT3_METHOD','FLAT3');
define('VAL_STR_LBTC_NAME', '中国国内银行转帐');
define('VAL_STR_LBTC_METHOD','LBTC');
define('VAL_STR_LBTC_FEE','1.60');
define('VAL_STR_LBTC','本地银行转账（中国）');
define('VAL_ARR_SDPAY_DEPOSIT_REJECT_CODES', array("-1","-10","-11","-12","-13","-14","-15","-16"));
define('VAL_STR_SEPA_NAME', '国际银行转账(SEPA)');
define('VAL_STR_SEPA_LOGO','img/int_bank.png');
define('VAL_STR_SEPA_METHOD','SEPA');
define('VAL_STR_BIT_NAME', '数字货币入金方案');
define('VAL_STR_BIT_LOGO','img/bitcoin_3.png');
define('VAL_STR_BIT_METHOD','BIT');
define('VAL_STR_BIT_FEE','3.50');

define('VAR_KYC_STR_SAVE','保留');
define('VAR_KYC_DEFAULT_SELECT','承認済み/否認 / 保留');
define('VAR_KYC_VALIDATE_ERROR','KYC不合格');
define('VAR_KYC_VALIDATE_ADMIT','KYC认证');
define('VAR_KYC_VALIDATE_COMPLETE','账号KYC审核完毕');
define('VAR_KYC_VALIDATE_CARD_PROCESSING','卡的KYC文件审核中');
define('VAR_KYC_VALIDATE_ACCEPT','已发行卡');
define('VAR_KYC_VALIDATE_UNVALIDATE','申请中');
define('VAR_KYC_VALIDATE_CARD_ERROR','卡的KYC不合格');
define('VAR_KYC_VALIDATE_CARD_ADMIT','卡的KYC已通过');

//export headers corporate account
define('VAL_STR_HEADER_ID', 'Id');
define('VAL_STR_HEADER_TRANSACTION_TYPE','交易类型');
define('VAL_STR_HEADER_ACCOUNT_NAME','账户名称');
define('VAL_STR_HEADER_MONEY_IN','收入');
define('VAL_STR_HEADER_MONEY_OUT','支出');
define('VAL_STR_HEADER_SUBMISSION_DATE','申请日期');
define('VAL_STR_HEADER_OPERATION_DATE','处理日期');
define('VAL_STR_HEADER_REF_NO','交易编号');
define('VAL_STR_HEADER_BALANCE','账户余额');


//withdrawal
define('VAL_INT_MINIMUM_WITHDRAW_AMOUNT', 85);

//flat 3 withdrawal
define('VAL_FLOAT_FLAT3_WITHDRAW_FEE', 0.005);

//withdrawal solutions
define('VAL_ARR_MONEYOUT_SOLUTIONS', array("Flat3","SDPay","International","H2P"));

//-----------------------------------------------------------------------//
// 文字コード
//-----------------------------------------------------------------------//
define('CHAR_SET_UTF_8', 'UTF-8');
define('CHAR_SET_SJIS', 'SJIS');
define('CHAR_SET_AUTO', 'auto');

//-----------------------------------------------------------------------//
// 正規表現
//-----------------------------------------------------------------------//
define('PREG_ASCII', '/^[a-zA-Z0-9]+$/');																		// 正規表現（半角英数）
define('PREG_PASSWORD', '/^[a-zA-Z0-9\$%&,-<=>@_~!\(\)\*\+\.\/\:\?\[\]\^\{\|\}]+$/');							// 正規表現（パスワード）
define('PREG_PASSWORD_SECOND_LOWER', '/[a-z]+/');																// 正規表現（最低文字列小文字）
define('PREG_PASSWORD_SECOND_UPPER', '/[a-zA-Z]+/');															// 正規表現（最低文字列大文字）
define('PREG_PASSWORD_SECOND_NUMBER', '/[0-9]+/');																// 正規表現（最低文字列数字）
define('PREG_ALPHABET', '/^[a-zA-Z]+$/');																		// 正規表現（半角英）
define('PREG_ALPHABET_SPACE', '/^[a-zA-Z ]+$/');																// 正規表現（半角英とスペース）
define('PREG_ASCII_STATE_CITY', '/^[a-zA-Z0-9 ,\-]+$/');														// 正規表現（半角英数の都道府県と市区町村用）
// define('PREG_NUMBER', '/^[0-9]+(\.[0-9]*)?/');																// 正規表現（半角数字）
define('PREG_NUMBER', '/^-?\d+(\.\d+)?$/');																		// 正規表現（半角数字）
define('PREG_NUMBER_ZIP_CODE', '/^[a-zA-Z0-9\- ]+$/');															// 正規表現（半角数字郵便番号）
define('PREG_NUMBER_TEL', '/^[0-9\-\+]+$/');																	// 正規表現（半角数字電話番号）
define('PREG_MAIL_ADDRESS', '/^([a-zA-Z0-9])+([a-zA-Z0-9\._\-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$/');		// 正規表現（メールアドレス）
define('PREG_ASCII_SPACE', '/^[a-zA-Z0-9 ]+$/');																// 正規表現（半角英数と半角スペース）
define('PREG_ASCII_ADDRESS', '/^[a-zA-Z0-9 ,\/\-#\(\)]+$/');													// 正規表現（住所）
define('PREG_ASCII_WITHDRAW', '/^[a-zA-Z0-9 ,\.-]+$/');															// 正規表現（Withdraw入力用）
define('PREG_ASCII_EXTENSION', '/\.jpg$|\.jpeg$|\.gif$|\.png$|\.pdf$/i');										// 正規表現（KYC書類拡張子）
define('VAL_COPYRIGHT', 'Copyrights &copy; iWallet all rights reserved.');									// コピーライト
define('PREG_NUMBER_CURRENCY', '/^-?\d+(\.\d{1,2})?$/');
define('PREG_INT_NUMBER_ONLY','/^0$|^-?[1-9][0-9]*$/');
define('PREG_NUMBER_CURRENCY_JP', '/^-?\d+?$/');
define('PREG_ASCII_CN', '/^[\x{4e00}-\x{9fa5}]+$/u');

//SDPAY deposit
define('PREG_STRING_CHINESE_ONLY', '/^([\p{Han} ]+)$/u');

$url = '`(?:https?+:(?://(?:(?:[-.0-9_a-z~]|%[0-9a-f][0-9a-f]' .
'|[!$&-,:;=])*+@)?+(?:\[(?:(?:[0-9a-f]{1,4}:){6}(?:' .
'[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:\d|[1-9]\d|1\d{2}|2' .
'[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25' .
'[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?' .
':\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5]))|::(?:[0-9a-f' .
']{1,4}:){5}(?:[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:\d|[1' .
'-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{' .
'2}|2[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\\' .
'd|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])' .
')|(?:[0-9a-f]{1,4})?+::(?:[0-9a-f]{1,4}:){4}(?:[0-' .
'9a-f]{1,4}:[0-9a-f]{1,4}|(?:\d|[1-9]\d|1\d{2}|2[0-' .
'4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-' .
'5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?:\d' .
'|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5]))|(?:(?:[0-9a-f]{' .
'1,4}:)?+[0-9a-f]{1,4})?+::(?:[0-9a-f]{1,4}:){3}(?:' .
'[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:\d|[1-9]\d|1\d{2}|2' .
'[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25' .
'[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?' .
':\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5]))|(?:(?:[0-9a-' .
'f]{1,4}:){0,2}[0-9a-f]{1,4})?+::(?:[0-9a-f]{1,4}:)' .
'{2}(?:[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:\d|[1-9]\d|1\\' .
'd{2}|2[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4' .
']\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5' .
'])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5]))|(?:(?:' .
'[0-9a-f]{1,4}:){0,3}[0-9a-f]{1,4})?+::[0-9a-f]{1,4' .
'}:(?:[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:\d|[1-9]\d|1\d' .
'{2}|2[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]' .
'\d|25[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5]' .
')\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5]))|(?:(?:[' .
'0-9a-f]{1,4}:){0,4}[0-9a-f]{1,4})?+::(?:[0-9a-f]{1' .
',4}:[0-9a-f]{1,4}|(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25' .
'[0-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?' .
':\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?:\d|[1-9]\\' .
'd|1\d{2}|2[0-4]\d|25[0-5]))|(?:(?:[0-9a-f]{1,4}:){' .
'0,5}[0-9a-f]{1,4})?+::[0-9a-f]{1,4}|(?:(?:[0-9a-f]' .
'{1,4}:){0,6}[0-9a-f]{1,4})?+::|v[0-9a-f]++\.[!$&-.' .
'0-;=_a-z~]++)\]|(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0' .
'-5])\.(?:\d|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?:\\' .
'd|[1-9]\d|1\d{2}|2[0-4]\d|25[0-5])\.(?:\d|[1-9]\d|' .
'1\d{2}|2[0-4]\d|25[0-5])|(?:[-.0-9_a-z~]|%[0-9a-f]' .
'[0-9a-f]|[!$&-,;=])*+)(?::\d*+)?+(?:/(?:[-.0-9_a-z' .
'~]|%[0-9a-f][0-9a-f]|[!$&-,:;=@])*+)*+|/(?:(?:[-.0' .
'-9_a-z~]|%[0-9a-f][0-9a-f]|[!$&-,:;=@])++(?:/(?:[-' .
'.0-9_a-z~]|%[0-9a-f][0-9a-f]|[!$&-,:;=@])*+)*+)?+|' .
'(?:[-.0-9_a-z~]|%[0-9a-f][0-9a-f]|[!$&-,:;=@])++(?' .
':/(?:[-.0-9_a-z~]|%[0-9a-f][0-9a-f]|[!$&-,:;=@])*+' .
')*+)?+(?:\?+(?:[-.0-9_a-z~]|%[0-9a-f][0-9a-f]|[!$&' .
'-,/:;=?+@])*+)?+(?:#(?:[-.0-9_a-z~]|%[0-9a-f][0-9a' .
'-f]|[!$&-,/:;=?+@])*+)?+)|(?:&gt;){2}(\d++)`i';

// define('PREG_URL', $url);	// 正規表現（URL）
define('PREG_URL', '/^(https?|ftp)(:\/\/[-_.!~*\'()a-zA-Z0-9;\/?:\@&=+\$,%#]+)$/');	// 正規表現（URL）
//

//-----------------------------------------------------------------------//
// 通貨
//-----------------------------------------------------------------------//
define('JPY', 'JPY');
define('USD', 'USD');
define('EUR', 'EUR');
define('GBP', 'GBP');
define('HKD', 'HKD');
define('SGD', 'SGD');
define('CNY', 'CNY');
define('IDR', 'IDR');
define('PHP', 'PHP');
define('MYR', 'MYR');
define('THB', 'THB');
define('VND', 'VND');
define('PERCENT', 'PERCENT');
define('VAL_ALL', 'ALL');

define('VAL_ARRAY_ALLOWED_WITHDRAWAL_CURRENCY', array(
              'USD' => array('International'),
              'JPY' => array('International', 'Flat3'),
              'EUR' => array('International'),
              'GBP' => array('International'),
              'HKD' => array('International'),
              'SGD' => array('International'),
              'CNY' => array('International'),
              'PHP' => array('International'),
              'IDR' => array('International'),
              'MYR' => array('International'),
              'THB' => array('International'),
              'VND' => array('International'),
));

define('VAL_STR_CLEARSETTLE_NAME', 'Visa Card充值');
define('VAL_STR_CLEARSETTLE_LOGO','img/visa.png');
define('VAL_STR_CLEARSETTLE_METHOD','CLEARSETTLE');
define('VAL_STR_CLEARSETTLE_FEE','5');
define('VAL_STR_CLEARSETTLE_TRANSACTIONFEE',CLEARSETTLE_SYMBOL.' '.CLEARSETTLE_RISK_FEE_EUR);

define('VAL_STR_LBTJ_NAME', 'Local Bank Transfer (Japan)');
define('VAL_STR_LBTJ_LOGO','img/local_bank.png');
define('VAL_STR_LBTJ_METHOD','LBTJ');
define('VAL_STR_LBTJ_FEE','2.3');

//additional status 09-26-18
define('VAL_STR_NORMAL_PAUSE', '休止-标准 (休眠账户)');
define('VAL_STR_EXEC_PAUSE', '休止-高级 (休眠账户)');

define('VAL_STR_WITHDRAW_LBTC', '转账至本地银行（中国）转出申请');
define('VAL_STR_WITHDRAW', '余额转出');

// HELP2PAY
define('VAL_STR_H2P_NAME','Local Bank Transfer (Southeast Asia)');
define('VAL_STR_H2P_LOGO','img'.DIRECTORY_SEPARATOR.'local_bank.png');
define('VAL_STR_H2P_FEE','2.80');
define('VAL_STR_H2P_TRANSACTIONFEE','手数料');
define('VAL_STR_H2P_METHOD','H2P');

//Cryptocoin
define('VAL_STR_CPS_NAME','数字货币入金');
// define('VAL_STR_CPS_LOGO','img/cryptocoin.png');
define('VAL_STR_CPS_LOGO','img/bitcoin_3.png');
define('VAL_STR_CPS_METHOD','CPS');
define('VAL_STR_CPS_FEE','2.80');

define('VAL_STR_LBTF3_NAME', 'Local Bank Transfer (Japan)');
define('VAL_STR_LBTF3_LOGO','img/local_bank.png');
define('VAL_STR_LBTF3_METHOD','LBTF3');

define('VAL_STR_JPV_NAME', 'Japan Remittance Voucher');
define('VAL_STR_JPV_LOGO','img/jpv.png');
define('VAL_STR_JPV_METHOD','JPV');

define('VAL_STR_CCDEPOSIT_NAME', 'Credit Card Solution');
define('VAL_STR_CCDEPOSIT_LOGO', 'img/credit-card-deposit-solution.png');
define('VAL_STR_CCDEPOSIT_METHOD', 'CCD');

define('VAL_STR_ZANETAPAY_NAME', '国际银联卡(UPI)');
define('VAL_STR_ZANETAPAY_LOGO','img/unionpay_international.svg');
define('VAL_STR_ZANETAPAY_FEE','6');
define('VAL_STR_ZANETAPAY_TRANSACTIONFEE','手续费');
define('VAL_STR_ZANETAPAY_METHOD','UNIONPAY');
?>
